# TensorFlow for Java: Examples

These examples include using pre-trained models for [image
classification](label_image) and [object detection](object_detection),
and driving the [training](training) of a pre-defined model - all using the
TensorFlow Java API.

The TensorFlow Java API does not have feature parity with the Python API.
The Java API is most suitable for inference using pre-trained models
and for training pre-defined models from a single Java process.

Python will be the most convenient language for defining the
numerical computation of a model.

- [Slides](https://docs.google.com/presentation/d/e/2PACX-1vQ6DzxNTBrJo7K5P8t5_rBRGnyJoPUPBVOJR4ooHCwi4TlBFnIriFmI719rDNpcQzojqsV58aUqmBBx/pub?start=false&loop=false&delayms=3000) from January 2018.
- See README.md in each subdirectory for details.

For a recent real-world example, see the use of this API to [assess microscope
image quality](https://research.googleblog.com/2018/03/using-deep-learning-to-facilitate.html)
in the image processing package [Fiji (ImageJ)](https://fiji.sc/).
